<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
session_start();
if(isset($_GET["page"])){
	$page=$_GET["page"];
}else{
	$page=0;
}

require_once '../Config/conexion.php';
require_once '../Model/Producto.php';
require_once '../Model/Proyecto.php';

switch($page){

	case 1:
		$objProducto = new farticulos();
		$json = array();
		$json['msj'] = 'Producto Agregado';
		$json['success'] = true;
	 
		if (isset($_POST['nparte1']) && $_POST['nparte1']!='' && isset($_POST['cantidad']) && $_POST['cantidad']!='') {
			try {
				$cantidad = $_POST['cantidad'];
				$nparte1 = $_POST['nparte1'];
				
				$resultado_producto = $objProducto->getById($nparte1);
				$producto = $resultado_producto->fetchObject();
				$descripcion = $producto->np_desc1;
				
				$_SESSION['detalle'][$nparte1] = array('id'=>$nparte1, 'producto'=>$descripcion,'cantidad'=>$cantidad);

				$json['success'] = true;

				echo json_encode($json);
	
			} catch (PDOException $e) {
				$json['msj'] = $e->getMessage();
				$json['success'] = false;
				echo json_encode($json);
			}
		}else{
			$json['msj'] = 'Ingrese un producto y/o ingrese cantidad';
			$json['success'] = false;
			echo json_encode($json);
		}
		break;

	case 2:
		$json = array();
		$json['msj'] = 'Producto Eliminado';
		$json['success'] = true;
	
		if (isset($_POST['id'])) {
			try {
				unset($_SESSION['detalle'][$_POST['id']]);
				$json['success'] = true;
	
				echo json_encode($json);
	
			} catch (PDOException $e) {
				$json['msj'] = $e->getMessage();
				$json['success'] = false;
				echo json_encode($json);
			}
		}
		break;
		
	case 3:
		$objProducto = new farticulos();
            $objProy = new proyectos();
		$json = array();
		$json['msj'] = 'Guardado correctamente';
		$json['success'] = true;
		$json['idventa'] = '';
	
		if (count($_SESSION['detalle'])>0) {
			try {
				$objProducto->guardarVenta($_POST['proy']);
                                $registro_ultima_venta = $objProducto->getUltimaVenta();
                                	$result_ultima_venta = $registro_ultima_venta->fetchObject();
				$idventa = $result_ultima_venta->ultimo;
                                $objProy->setproy_tosal($_POST['proy'],$idventa);
                            
				foreach($_SESSION['detalle'] as $detalle):
					$idproducto = $detalle['id'];
					$cantidad = $detalle['cantidad'];					
					$objProducto->guardarDetalleVenta($idventa, $idproducto, $cantidad);
				endforeach;
				
				$_SESSION['detalle'] = array();
						
				$json['success'] = true;
				$json['idventa'] = $idventa;
	
				echo json_encode($json);
	
			} catch (PDOException $e) {
				$json['msj'] = $e->getMessage();
				$json['success'] = false;
				echo json_encode($json);
			}
		}else{
			$json['msj'] = 'No hay productos agregados';
			$json['success'] = false;
			echo json_encode($json);
		}
		break;
		
	case 4:
		$objProducto = new farticulos();
              $objProy = new proyectos();
		$json = array();
		$json['msj'] = 'Guardado correctamente';
		$json['success'] = true;
		$json['idventa'] = '';
	
		if (count($_SESSION['detalle'])>0) {
			try {
				$objProducto->guardarVenta($_POST['proy']);
                                $registro_ultima_venta = $objProducto->getUltimaVenta();
                                $result_ultima_venta = $registro_ultima_venta->fetchObject();
				$idventa = $result_ultima_venta->ultimo;
                                $objProy->setproy_tosal($_POST['proy'],$idventa);                            
				foreach($_SESSION['detalle'] as $detalle):
					$idproducto = $detalle['id'];
					$cantidad = $detalle['cantidad'];					
					$objProducto->guardarDetalleVenta($idventa, $idproducto, $cantidad);
				endforeach;
				
				$_SESSION['detalle'] = array();
						
				$json['success'] = true;
				$json['idventa'] = $idventa;
				
				$para      = '';
				$subject    = 'pedido de almaen';
				$mensaje   = '';
				$resultado_detalle = $objProducto->getDetalleVenta($idventa);
				while($detalle = $resultado_detalle->fetchObject()){ 
					$mensaje = $mensaje . ' ' . $detalle->articulos . ' - ' . $detalle->cantidad .  '<br/>';
				}
				$cabeceras  = 'MIME-Version: 1.0' . "\r\n";
				$cabeceras .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
				$cabeceras .= 'From: almacen@comfica.com' . "\r\n" .
					//'Reply-To: webmaster@example.com' . "\r\n" .
					'X-Mailer: PHP/' . phpversion();

				if(mail($para, $subject, $mensaje, $cabeceras)){
					$json['success'] = true;
					$json['msj'] = 'Se envio el email correctamente.';
				}else{
					$json['success'] = false;
					$json['msj'] = 'No se envio el email.';
				}
				//var_dump(json);
				echo json_encode($json);
	
			} catch (PDOException $e) {
				$json['msj'] = $e->getMessage();
				$json['success'] = false;
				echo json_encode($json);
			}
		}else{
			$json['msj'] = 'No hay productos agregados';
			$json['success'] = false;
			echo json_encode($json);
		}
		break;

}
?>